<?
/*
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
 require("../common.inc.php");
 auth_required('admin');
 require("../lpdf.php");
 require("../lcsv.php");

  $type=$_POST['type'];
  if($type == "")
  {
  	$type = $_GET['type'];
  }

  $title=$_POST['title'];
  $projectnumber=$_POST['projectnumber'];
  $firstname=$_POST['firstname'];
  $lastname=$_POST['lastname'];
  $category=$_POST['category'];
  $division=$_POST['division'];

  if($title == "" && $projectnumber == "" && $firstname == "" && $lastnmae == "" && $category == "" && $division == "")
  {

   send_header("Administration - Reports");
   echo "<a href=\"index.php\">&lt;&lt; ".i18n("Back to Administration")."</a>&nbsp;&nbsp;";
   echo "<a href=\"reports.php\">&lt;&lt; ".i18n("Back to Reports")."</a><br />";
   echo "<br />";
   echo "<table><tr><td>";
   echo i18n("Please select which fields you would like displayed on the name tags").": ";
   echo "</td>";

   /*
     We need to prompt them for the fields.  We will display check boxes for
     every field.  By default all of the fields are checked.
   */
   echo "\n\n";
   echo "<form action=\"reports_nametags_students.php\" method=\"post\">\n";
     echo "<input type=\"hidden\" value=\"" . $type . "\" name=\"type\">\n";

     echo "<table>\n";
       echo "<tr>\n";
         echo "<td>\n";
           echo "<input type=\"checkbox\" name=\"title\" checked> Project Title\n";
         echo "</td>\n";
       echo "</tr>\n";
       echo "<tr>\n";
         echo "<td>\n";
           echo "<input type=\"checkbox\" name=\"projectnumber\" checked> Project Number\n";
         echo "</td>\n";
       echo "</tr>\n";
       echo "<tr>\n";
         echo "<td>\n";
           echo "<input type=\"checkbox\" name=\"firstname\" checked> Student's First Name\n";
         echo "</td>\n";
       echo "</tr>\n";
       echo "<tr>\n";
         echo "<td>\n";
           echo "<input type=\"checkbox\" name=\"lastname\" checked> Student's Surname Name\n";
         echo "</td>\n";
       echo "</tr>\n";
       echo "<tr>\n";
         echo "<td>\n";
           echo "<input type=\"checkbox\" name=\"category\" checked> Project Category\n";
         echo "</td>\n";
       echo "</tr>\n";
       echo "<tr>\n";
         echo "<td>\n";
           echo "<input type=\"checkbox\" name=\"division\" checked> Project Division\n";
         echo "</td>\n";
       echo "</tr>\n";
       echo "<tr>\n";
         echo "<td>\n";
           echo "<input type=\"submit\" value=\"Continue\">\n";
         echo "</td>\n";
       echo "</tr>\n";
     echo "</table>";
   echo "</form>\n";

   send_footer();


  }
  else
  {
 	if($type=="pdf")
 	{
		$card_width=4;
		$card_height=3;

		$rep=new lpdf(	i18n($config['fairname']),
				"Student Nametags",
				$_SERVER['DOCUMENT_ROOT'].$config['SFIABDIRECTORY']."/data/logo-200.gif"
				);

		$rep->setPageStyle("nametags");
		$rep->newPage(8.5,11);
		$rep->setNametagDimensions($card_width,$card_height);
		$rep->setFontSize(11);
 	}
 	else if($type=="csv")
 	{
		$rep=new lcsv(i18n("Student Nametags"));
 	}
	$q=mysql_query("SELECT
				registrations.id AS reg_id,
				registrations.num AS reg_num,
				projects.id,
				projects.title,
				projects.projectnumber,
				projects.projectdivisions_id,
				projects.projectcategories_id,
				projectdivisions.division,
				projectcategories.category,
				students.firstname,
				students.lastname
			FROM
				registrations
				LEFT JOIN projectdivisions ON projectdivisions.id=projects.projectdivisions_id
				LEFT JOIN projectcategories ON projectcategories.id=projects.projectcategories_id
				LEFT JOIN projects on projects.registrations_id=registrations.id
				LEFT JOIN students ON students.registrations_id=registrations.id

			WHERE
				projects.year='".$config['FAIRYEAR']."'
				AND projectdivisions.year='".$config['FAIRYEAR']."'
				AND projectcategories.year='".$config['FAIRYEAR']."'
				AND ( registrations.status='complete' OR registrations.status='paymentpending' )
			ORDER BY
				projects.projectnumber
			");
//			echo mysql_error();
//
/*
   this is 4x3" on my screen, so i'll use it to figure
   out what it should look like in a semi-proporational
   layout.

***********************************************************
*                                                         *
*  --------                                               *
*  |      |    [ NAME OF THE SCIENCE FAIR GOES HERE ]     *
*  | logo |                                               *
*  |      |    [ NAME OF THE FAIR IN FRENCH GOES HERE ]   *
*  |      |                                               *
*  --------                                               *
*                                                         *
*                                                         *
*        [                                    ]           *
*        [  THE STUDENTS NAME IN BIG LETTERS  ]           *
*        [                                    ]           *
*                                                         *
*                                                         *
*    [                                             ]      *
*    [    PROJECT TITLE GOES HERE ALSO FAIRLY BIG  ]      *
*    [                                             ]      *
*                                                         *
*                                                         *
*             [   CATEGORY    /    DIVISION ]             *
*                                                         *
*                                                         *
*                     PROJECT NUMBER                      *
*                                                         *
*                                                         *
***********************************************************


on the page we have tagnum layout like this:

	1 2
	3 4
	5 6

*/
	if($type=="csv")
	{
		$table=array();
		$table['header'] = array(i18n("First Name"),i18n("Last Name"),i18n("Project Title"),i18n("Category"),i18n("Division"),i18n("Project Number"));
	}

	while($r=mysql_fetch_object($q))
	{
		if($type=="pdf")
		{
			$rep->newNametag();
			$rep->setFontSize(18);
			$studentName = " ";
			if($firstname && $lastname)
				$studentName = "$r->firstname $r->lastname";
			else if($firstname)
				$studentName = "$r->firstname";
			else if($lastname)
				$studentName = "$r->lastname";

			$rep->addNametagText(0.0,"$studentName");
			$rep->setFontSize(14);

			if($title)
				$rep->addNametagText(0.75,"$r->title");
			else
				$rep->addNametagText(0.75," ");

			$rep->setFontSize(12);

			$categoryDivision = " ";
			if($category && $division)
				$categoryDivision = $r->category." - ".$r->division;
			else if($category)
				$categoryDivision = $r->category;
			else if($division)
				$categoryDivision = $r->division;

			$rep->addNametagText(1.5,$categoryDivision);

			$rep->setFontSize(16);
			if($projectnumber)
				$rep->addNametagText(1.75,"# $r->projectnumber");
			else
				$rep->addNametagText(1.75," ");

		}
		else if($type=="csv")
		{
			$table['data'][]=array($r->firstname, $r->lastname, $r->title, $r->category, $r->division, $r->projectnumber);
		}

	}
	if($type=="csv")
	{
		$rep->addTable($table);
	}

	$rep->output();

 } // Close the if-statement that governs whether or not to display the fields

?>
