<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
 require("../common.inc.php");
 auth_required('admin');
 send_header("Administration");

 echo "<br />";
 echo "<a href=\"registration.php\">".i18n("Participant Registration")."</a> <br />";
 echo "<a href=\"reports.php\">".i18n("Print / Export Reports")."</a> <br />";
 echo "<hr />";
 echo "<a href=\"committees.php\">".i18n("Committee Management")."</a> <br />";
 echo "<a href=\"awards.php\">".i18n("Awards Management")."</a> <br />";
 echo "<a href=\"schools.php\">".i18n("School Management")."</a> <br />";
 echo "<a href=\"judges.php\">".i18n("Judging Management")."</a> <br />";
 echo "<a href=\"translations.php\">".i18n("Translations Management")."</a> <br />";
if($config['tours_enable'] == 'yes') {
 echo "<a href=\"tours_manager.php\">".i18n("Tour Management")."</a> <br />";
}
 echo "<hr />";
 echo "<a href=\"winners.php\">".i18n("Enter Winning Projects")."</a> <br />";
 echo "<a href=\"cwsfregister.php\">".i18n("One-Click CWSF Registration")."</a> <br />";
 echo "<hr />";
 echo "<a href=\"communication.php\">".i18n("Communication (Send Emails)")."</a> <br />";

 send_footer();
?>
